Public Member Functions | Static Public Member Functions

# Gst::EventFlushStop Class Reference

A flush stop event. More...

Inheritance diagram for Gst::EventFlushStop:
[legend]
Collaboration diagram for Gst::EventFlushStop:
[legend]

List of all members.

## Public Member Functions
| EventFlushStop (GstEvent* event)
## Static Public Member Functions
static Glib::RefPtr< Gst::Event > | create ()
| Allocate a new flush stop event.

## Detailed Description

A flush stop event.

See create() for more details.

## Constructor & Destructor Documentation

Gst::EventFlushStop::EventFlushStop | ( | GstEvent * | event ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventFlushStop::create | ( | ) | `[static]`

Allocate a new flush stop event.

The flush stop event can be sent upstream and downstream and travels out-of-bounds with the dataflow. It is typically sent after sending a Gst::EventFlushStart event to make the pads accept data again.

Elements can process this event synchronized with the dataflow since the preceeding Gst::EventFlushStart event stopped the dataflow.

This event is typically generated to complete a seek and to resume dataflow.

Returns:
  A new flush stop event.

The documentation for this class was generated from the following file:

- gstreamermm/event.h